Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface PatternFormatting

All Known Implementing Classes:
  HSSFPatternFormatting

    public interface PatternFormatting

Author:
  Yegor Kozlov

Field Summary
`static short` | `ALT_BARS` Wide dots
`static short` | `BIG_SPOTS` Large spots
`static short` | `BRICKS` Brick-like layout
`static short` | `DIAMONDS` Diamonds
`static short` | `FINE_DOTS` Small fine dots
`static short` | `LEAST_DOTS` Least Dots
`static short` | `LESS_DOTS` Less Dots
`static short` | `NO_FILL` No background
`static short` | `SOLID_FOREGROUND` Solidly filled
`static short` | `SPARSE_DOTS` Sparse dots
`static short` | `SQUARES` Squares
`static short` | `THICK_BACKWARD_DIAG` Thick backward facing diagonals
`static short` | `THICK_FORWARD_DIAG` Thick forward facing diagonals
`static short` | `THICK_HORZ_BANDS` Thick horizontal bands
`static short` | `THICK_VERT_BANDS` Thick vertical bands
`static short` | `THIN_BACKWARD_DIAG` Thin backward diagonal
`static short` | `THIN_FORWARD_DIAG` Thin forward diagonal
`static short` | `THIN_HORZ_BANDS` Thin horizontal bands
`static short` | `THIN_VERT_BANDS` Thin vertical bands

Method Summary
`short` | `getFillBackgroundColor()`
`short` | `getFillForegroundColor()`
`short` | `getFillPattern()`
`void` | `setFillBackgroundColor(short bg)`
`void` | `setFillForegroundColor(short fg)`
`void` | `setFillPattern(short fp)`

Field Detail

### NO_FILL

    static final short NO_FILL

  No background

  See Also:
    Constant Field Values

### SOLID_FOREGROUND

    static final short SOLID_FOREGROUND

  Solidly filled

  See Also:
    Constant Field Values

### FINE_DOTS

    static final short FINE_DOTS

  Small fine dots

  See Also:
    Constant Field Values

### ALT_BARS

    static final short ALT_BARS

  Wide dots

  See Also:
    Constant Field Values

### SPARSE_DOTS

    static final short SPARSE_DOTS

  Sparse dots

  See Also:
    Constant Field Values

### THICK_HORZ_BANDS

    static final short THICK_HORZ_BANDS

  Thick horizontal bands

  See Also:
    Constant Field Values

### THICK_VERT_BANDS

    static final short THICK_VERT_BANDS

  Thick vertical bands

  See Also:
    Constant Field Values

### THICK_BACKWARD_DIAG

    static final short THICK_BACKWARD_DIAG

  Thick backward facing diagonals

  See Also:
    Constant Field Values

### THICK_FORWARD_DIAG

    static final short THICK_FORWARD_DIAG

  Thick forward facing diagonals

  See Also:
    Constant Field Values

### BIG_SPOTS

    static final short BIG_SPOTS

  Large spots

  See Also:
    Constant Field Values

### BRICKS

    static final short BRICKS

  Brick-like layout

  See Also:
    Constant Field Values

### THIN_HORZ_BANDS

    static final short THIN_HORZ_BANDS

  Thin horizontal bands

  See Also:
    Constant Field Values

### THIN_VERT_BANDS

    static final short THIN_VERT_BANDS

  Thin vertical bands

  See Also:
    Constant Field Values

### THIN_BACKWARD_DIAG

    static final short THIN_BACKWARD_DIAG

  Thin backward diagonal

  See Also:
    Constant Field Values

### THIN_FORWARD_DIAG

    static final short THIN_FORWARD_DIAG

  Thin forward diagonal

  See Also:
    Constant Field Values

### SQUARES

    static final short SQUARES

  Squares

  See Also:
    Constant Field Values

### DIAMONDS

    static final short DIAMONDS

  Diamonds

  See Also:
    Constant Field Values

### LESS_DOTS

    static final short LESS_DOTS

  Less Dots

  See Also:
    Constant Field Values

### LEAST_DOTS

    static final short LEAST_DOTS

  Least Dots

  See Also:
    Constant Field Values

Method Detail

### getFillBackgroundColor

    short getFillBackgroundColor()

### getFillForegroundColor

    short getFillForegroundColor()

### getFillPattern

    short getFillPattern()

### setFillBackgroundColor

    void setFillBackgroundColor(short bg)

### setFillForegroundColor

    void setFillForegroundColor(short fg)

### setFillPattern

    void setFillPattern(short fp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD